Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement.ecjpake
Class ECJPAKERound1Payload

    java.lang.Object
      org.bouncycastle.crypto.agreement.ecjpake.ECJPAKERound1Payload

public class ECJPAKERound1Payload
extends java.lang.Object

The payload sent/received during the first round of a EC J-PAKE exchange.

Each `ECJPAKEParticipant` creates and sends an instance of this payload to the other `ECJPAKEParticipant`. The payload to send should be created via `ECJPAKEParticipant.createRound1PayloadToSend()`.

Each `ECJPAKEParticipant` must also validate the payload received from the other `ECJPAKEParticipant`. The received payload should be validated via `ECJPAKEParticipant.validateRound1PayloadReceived(ECJPAKERound1Payload)`.

Constructor Summary
`ECJPAKERound1Payload(java.lang.String participantId, ECPoint gx1, ECPoint gx2, ECSchnorrZKP knowledgeProofForX1, ECSchnorrZKP knowledgeProofForX2)`

Method Summary
`ECPoint` | `getGx1()`
`ECPoint` | `getGx2()`
`ECSchnorrZKP` | `getKnowledgeProofForX1()`
`ECSchnorrZKP` | `getKnowledgeProofForX2()`
`java.lang.String` | `getParticipantId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECJPAKERound1Payload

    public ECJPAKERound1Payload(java.lang.String participantId,
                                ECPoint gx1,
                                ECPoint gx2,
                                ECSchnorrZKP knowledgeProofForX1,
                                ECSchnorrZKP knowledgeProofForX2)

Method Detail

### getParticipantId

    public java.lang.String getParticipantId()

### getGx1

    public ECPoint getGx1()

### getGx2

    public ECPoint getGx2()

### getKnowledgeProofForX1

    public ECSchnorrZKP getKnowledgeProofForX1()

### getKnowledgeProofForX2

    public ECSchnorrZKP getKnowledgeProofForX2()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD